package DAO;

import java.io.Serializable;
import java.util.List;

public interface Tous<T, Id extends Serializable> {
    T create(T t);
    T update(T t);
    T read(Id id);
    void delete(T t);
    List<T> findAll();

    T save(T t);
}
